%define snapshot 20080215cvs

Name:           gstreamer-pitfdll
Version:        0.9.1.1
Release:        2.%{snapshot}%{?dist}
Summary:        GStreamer plugin for using MS Windows binary codecs

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://ronald.bitfreak.net/pitfdll.php
Source0:        %{name}-%{version}.%{snapshot}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gstreamer-plugins-base-devel gstreamer-devel
ExclusiveArch:  i386       

%description
Pitfdll is a GStreamer plugin that allows the use of binary files, 
such as Quicktime QTX or Directshow/DMO DLL files, for use as a 
playback codec in GStreamer-based media applications, such as Totem. 
With this plugin, people can playback proprietary file formats for 
which no free software implementation exists yet.

To make use of Pitfdll plugin for GStreamer, you need to get binary
codecs and install them in /usr/lib/codecs. You can get the MPlayer 
codec pack at http://www.mplayerhq.hu/design7/dload.html Under 
"Binary Codec Packages".

%prep
%setup -q -n pitfdll-%{version}


%build
export LDFLAGS="-Wl,-znoexecstack"
%configure --with-dlldir=/usr/lib/codecs --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%exclude %{_libdir}/gstreamer-0.10/libpitfdll.la
%{_libdir}/gstreamer-0.10/libpitfdll.so

%changelog

* Mon Jan  5 2009 Allisson Azevedo <allisson@gmail.com> 0.9.1.1-2.20080215cvs
- Added information about w32codecs in description
- Added ExclusiveArch for i386
- Added LDFLAGS rules

* Tue Nov 25 2008 Allisson Azevedo <allisson@gmail.com> 0.9.1.1-1.20080215cvs
- Initial RPM release

